package com.example.pageobjects.pakistan;

import com.example.pageobjects.usa.WebPage;
import org.openqa.selenium.WebDriver;

public class PagesObject {
    public AddToCartPage addToCartPage;
    public WelfarePage welfarePage;
    public HomePage homePage;
    public PublicationPage publicationPage;
    public BayanatPage bayanatPage;
    public WebPage webPage;

    public WebDriver driver;

    public PagesObject(WebDriver driver) {
        this.driver = driver;
    }

    public AddToCartPage getAddToCartPage() {
        addToCartPage = new AddToCartPage(driver);
        return addToCartPage;
    }

    public WelfarePage getWelfarePage() {
        welfarePage = new WelfarePage(driver);
        return welfarePage;
    }

    public HomePage getHomePage() {
        homePage = new HomePage(driver);
        return homePage;
    }

    public PublicationPage getPublicationPage() {
        publicationPage = new PublicationPage(driver);
        return publicationPage;
    }

    public BayanatPage getBayanatPage() {
        bayanatPage = new BayanatPage(driver);
        return bayanatPage;
    }

    public WebPage getWebPage() {
        webPage = new WebPage(driver);
        return webPage;
    }
}
